<!-- footer.php -->
<style>
footer {
  background-color: #222;
  color: #fff;
  padding: 20px 15px;
  text-align: center;
  font-size: 13px;
  margin: 0 auto;
}

.footer-container {
  max-width: 1100px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center; /* <== center horizontally */
  gap: 15px;
}

/* Logo */
.footer-logo-img {
  max-width: 120px;
  height: auto;
  margin: 0 auto;
}

/* Links */
.footer-links {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px 15px;
  line-height: 1.4;
  text-align: center;
}

.link-footer {
  color: #ccc;
  text-decoration: none;
}

.link-footer:hover,
.email-link:hover {
  color: #fff;
  text-decoration: underline;
}

/* Contact + Copyright */
.footer-contact,
.footer-copyright {
  text-align: center;
}

.footer-contact p,
.footer-contact a,
.footer-copyright p {
  margin: 4px 0;
  font-size: 12px;
  color: #aaa;
}

.email-link {
  color: #ccc;
  text-decoration: none;
}

/* Responsive */
@media (max-width: 600px) {
  .footer-links {
    flex-direction: column;
    align-items: center;
  }

  .footer-container {
    padding: 10px;
    gap: 10px;
  }

  footer {
    font-size: 12px;
  }
}

</style>

<footer>
  <div class="footer-container">
    
    <!-- Logo -->
    <div class="footer-section footer-logo">
      <img src="<?= $headerLogoUrl ?>" alt="Site Logo" class="footer-logo-img" />
    </div>

    <!-- Links -->
    <div class="footer-section footer-links">
      <a href="/privacy.html" class="link-footer" aria-label="Read our Privacy Policy on <?= $sitename;?>">Privacy Policy</a>
      <a href="/terms-conditions.html" class="link-footer" aria-label="View Terms and Conditions">Terms & Conditions</a>
      <a href="/dmca.html" class="link-footer" aria-label="Learn about our DMCA Policy">DMCA</a>
      <a href="/disclaimer" class="link-footer">Disclaimer</a>
      <a href="/about" class="link-footer">About <?= $sitename ?></a>

      <?php if (!empty($footerMenuItems)): foreach ($footerMenuItems as $i): ?>
        <a class="link-footer" href="<?= $i['link'] ?>" <?php if ($i['internal'] == false): ?>target="_blank" rel="noopener"<?php endif; ?>><?= $i['label'] ?></a>
      <?php endforeach; endif; ?>
    </div>

    <!-- Contact -->
    <div class="footer-section footer-contact">
      <?php if (!empty($promoteEmail)): ?>
        <a href="mailto:<?= htmlspecialchars($promoteEmail, ENT_QUOTES, 'UTF-8') ?>" class="link-footer">Promote</a>
      <?php endif; ?>
      <p>For any inquiries: <a href="mailto:eolbcams@gmail.com" class="email-link">Promote | Remove</a></p>
    </div>

    <!-- Copyright -->
    <div class="footer-section footer-copyright">
      <p>&copy;2022 - <?= date("Y") ?> <?= $sitename ?>. All rights reserved.</p>
    </div>

  </div>
</footer>
